library( foreign )
system.time( sdc <- read.xport( "../data/EPJnef.xpt" ) )
dim( sdc )
names( sdc )
nam <- read.xport( "../data/EPJnam.xpt" )
head( nam )
nnam <- gsub( "_", ".", tolower(nam$NAME) )
cbind( names(sdc), nnam )
       names(sdc)<-nnam
sdc[1:20,1:9]

en <- grep( ".enhed", names(sdc) )
what <- function(x) paste( names(table(x)), collapse=" " )
units <- sapply( sdc[,en], what )
names( units ) <- gsub( ".enhed", "", names(units) )
cbind( units )

sdc <- sdc[,-en]

sdc[1:10,1:9]
dvar <- c(3:8)
cbind( names(sdc)[dvar], nnam <- c("dob","dodm","dodd","doin","dox","dolab") )
       names(sdc)[dvar]<-nnam
sdc[,dvar[-2]] <- sdc[,dvar[-2]]/365.25+1960
sdc[,dvar[ 2]] <- as.numeric( as.character(sdc[,dvar[ 2]]) )
sdc[1:10,1:12]
